> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/use-cases-and-tutorials/retrieve-transport-tracking-data/get-mileage-from-transport.md).

# Get mileage from transport

You can retrieve the mileage from a transport. There are two different sources of information you can use:

* the value filled by users of the web application
* the value computed from the data incoming from the telematic provider of the vehicle. You must have activated a link with the provider to do so.

The values are stored in the `segments` part. Here are the details:

* `origin_mileage` : Mileage of the vehicle at transport origin site (in kms). The value is provided by the telematic vendor.
* `destination_mileage`: Mileage of the vehicle at transport destination site (in kms). The value is provided by the telematic vendor.
* `telematic_distance`: Automatically computed distance from telematic data (in kms). It is equal to `destination_mileage` minus `origin_mileage`
* `distance` : Manually entered distance. If null, it takes the value of `telematic_distance` (in kms).

If the transport consists in more than one segment, add values from all segments to get the total distance for that transport. Note that different vehicles may have been used for the different segments.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.dashdoc.com/docs/use-cases-and-tutorials/retrieve-transport-tracking-data/get-mileage-from-transport.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
